# Interface CSSValueList

All Superinterfaces:
  `CSSValue`

public interface CSSValueList extends CSSValue
The `CSSValueList` interface provides the abstraction of an ordered collection of CSS values.

Some properties allow an empty list into their syntax. In that case, these properties take the `none` identifier. So, an empty list means that the property has the value `none`.

The items in the `CSSValueList` are accessible via an integral index, starting from 0.

See also the Document Object Model (DOM) Level 2 Style Specification.

Since:
  1.4, DOM Level 2

## Field Summary

### Fields declared in interface CSSValue

`CSS_CUSTOM, CSS_INHERIT, CSS_PRIMITIVE_VALUE, CSS_VALUE_LIST`
Modifier and Type
Field
Description
`static final short`
`CSS_CUSTOM`
The value is a custom value.
`static final short`
`CSS_INHERIT`
The value is inherited and the `cssText` contains "inherit".
`static final short`
`CSS_PRIMITIVE_VALUE`
The value is a primitive value and an instance of the `CSSPrimitiveValue` interface can be obtained by using binding-specific casting methods on this instance of the `CSSValue` interface.
`static final short`
`CSS_VALUE_LIST`
The value is a `CSSValue` list and an instance of the `CSSValueList` interface can be obtained by using binding-specific casting methods on this instance of the `CSSValue` interface.

## Method Summary

Modifier and Type
Method
Description
`int`
`getLength()`
The number of `CSSValues` in the list.
`CSSValue`
`item(int index)`
Used to retrieve a `CSSValue` by ordinal index.

### Methods declared in interface CSSValue

`getCssText, getCssValueType, setCssText`
Modifier and Type
Method
Description
`String`
`getCssText()`
A string representation of the current value.
`short`
`getCssValueType()`
A code defining the type of the value as defined above.
`void`
`setCssText(String cssText)`
A string representation of the current value.

## Method Details

### getLength

int getLength()
The number of `CSSValues` in the list. The range of valid values of the indices is `0` to `length-1` inclusive.

### item

CSSValue item(int index)
Used to retrieve a `CSSValue` by ordinal index. The order in this collection represents the order of the values in the CSS style property. If index is greater than or equal to the number of values in the list, this returns `null`.

Parameters:
  `index` - Index into the collection.
Returns:
  The `CSSValue` at the `index` position in the `CSSValueList`, or `null` if that is not a valid index.